IF NOT EXISTS (SELECT 1 FROM [_tablas] WHERE [tabla] = 'gui_aplicacion')
BEGIN
	INSERT INTO [dbo].[_tablas]
			   ([tabla]
			   ,[esMultiempresa]
			   ,[duplicar]
			   ,[eliminarIntermedias])
		 VALUES
			   ('gui_aplicacion'
			   ,0
			   ,0
			   ,0)
END

if not exists (select 1 from _columnas where tabla = 'gui_aplicacion' and columna = 'id')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('gui_aplicacion'
           ,'id'
           ,1
           ,1
           ,1
           ,'int'
           ,NULL
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'gui_aplicacion' and columna = 'uid')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('gui_aplicacion'
           ,'uid'
           ,1
           ,1
           ,1
           ,'varchar'
           ,NULL
           ,500
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'gui_aplicacion' and columna = 'eid')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('gui_aplicacion'
           ,'eid'
           ,1
           ,1
           ,1
           ,'varchar'
           ,NULL
           ,50
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'gui_aplicacion' and columna = 'id_usuario_modifico')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('gui_aplicacion'
           ,'id_usuario_modifico'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'gui_aplicacion' and columna = 'id_usuario_creo')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('gui_aplicacion'
           ,'id_usuario_creo'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'gui_aplicacion' and columna = 'fechaModificacion')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('gui_aplicacion'
           ,'fechaModificacion'
           ,0
           ,0
           ,1
           ,'smalldatetime'
           ,'(getdate())'
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'gui_aplicacion' and columna = 'fechaCreacion')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('gui_aplicacion'
           ,'fechaCreacion'
           ,0
           ,0
           ,1
           ,'smalldatetime'
           ,'(getdate())'
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'gui_aplicacion' and columna = 'active')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('gui_aplicacion'
           ,'active'
           ,1
           ,1
           ,1
           ,'bit'
           ,'((1))'
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'gui_aplicacion' and columna = 'aplicacion')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('gui_aplicacion'
           ,'aplicacion'
           ,1
           ,1
           ,1
           ,'varchar'
           ,'('''')'
           ,200
		   ,0
		   ,1
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'gui_aplicacion' and columna = 'aplicacion_codigo')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('gui_aplicacion'
           ,'aplicacion_codigo'
           ,1
           ,1
           ,1
           ,'varchar'
           ,'('''')'
           ,200
		   ,0
		   ,1
		   ,NULL)
end

if not exists (select 1 from _columnas where tabla = 'gui_funcionalidad' and columna = 'id_aplicacion')
begin  
INSERT INTO [dbo].[_columnas]
           ([tabla]
           ,[columna]
           ,[mostrarEnGrilla]
           ,[ordenGrilla]
           ,[requerido]
           ,[tipo]
           ,[defecto]
           ,[tamano]
		   ,[id_seccionAtributo]
           ,[mostrarEnAPI]
           ,[dependiente])
     VALUES
           ('gui_funcionalidad'
           ,'id_aplicacion'
           ,1
           ,1
           ,1
           ,'int'
           ,'((0))'
           ,NULL
		   ,0
		   ,0
		   ,NULL)
end